/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef MOVE_H_
#define MOVE_H_

/* C Header Files */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>
/* OpenGL */
#include <GL/glew.h>
#include <GL/gl.h>
#include <GL/glx.h>
#include <GL/glu.h>
#include <GL/glext.h>
#include <GL/glxext.h>
/* Flysimulator */
#include "../WIN/win.h"
#include "../CONF/config.h"
#include "../CONF/geometry.h"
#include "../OGL/cockpit.h"
#include "../OGL/opengl.h"

/*---------------------------------------------------------------------------*/

/* Struct Matrix */
struct matrixLook {
        float m11, m12, m13, m14,
              m21, m22, m23, m24,
              m31, m32, m33, m34,
              m41, m42, m43, m44;
};

/* Matrix */
float matrixLook(float m11, float m12, float m13, float m14,
                 float m21, float m22, float m23, float m24,
                 float m31, float m32, float m33, float m34,
                 float m41, float m42, float m43, float m44);

/* LookAt */
void CameraLook();
void PlaneView();
void ScalePlane();
void TransPlane();

/* Speed */
void motorSpeed(float dt);
void motorGrid(float dt);

/* Render */
void Motor();
void Terminal();
void process_event2(XEvent report);

/*---------------------------------------------------------------------------*/

#endif


